# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'AreaEventi'
        db.create_table('eventi_areaeventi', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ordinale_pagina', self.gf('django.db.models.fields.PositiveIntegerField')(unique=True)),
            ('numero_eventi_mostrati', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('nome', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('placeholder_titolo', self.gf('django.db.models.fields.related.ForeignKey')(related_name='placeholder_titolo_areaeventi', null=True, to=orm['cms.Placeholder'])),
            ('placeholder_sottotitolo', self.gf('django.db.models.fields.related.ForeignKey')(related_name='placeholder_sottotitolo_areaeventi', null=True, to=orm['cms.Placeholder'])),
        ))
        db.send_create_signal('eventi', ['AreaEventi'])

        # Adding model 'Evento'
        db.create_table('eventi_evento', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('nome', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('data_inizio', self.gf('django.db.models.fields.DateField')()),
            ('data_fine', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('orario_inizio', self.gf('django.db.models.fields.TimeField')(null=True, blank=True)),
            ('orario_fine', self.gf('django.db.models.fields.TimeField')(null=True, blank=True)),
            ('thumb', self.gf('django.db.models.fields.files.ImageField')(max_length=100)),
            ('immagine', self.gf('django.db.models.fields.files.ImageField')(max_length=100)),
            ('descrizione_riassuntiva', self.gf('django.db.models.fields.CharField')(max_length=256)),
            ('descrizione', self.gf('django.db.models.fields.TextField')()),
            ('link_esterno', self.gf('django.db.models.fields.URLField')(max_length=200, null=True, blank=True)),
            ('link_esterno_desc', self.gf('django.db.models.fields.CharField')(max_length=128, null=True, blank=True)),
            ('link_prenotazione', self.gf('django.db.models.fields.URLField')(max_length=200, null=True, blank=True)),
            ('link_prenotazione_desc', self.gf('django.db.models.fields.CharField')(max_length=128, null=True, blank=True)),
            ('area_evento', self.gf('django.db.models.fields.related.ForeignKey')(related_name='eventi_area', to=orm['eventi.AreaEventi'])),
        ))
        db.send_create_signal('eventi', ['Evento'])

    def backwards(self, orm):
        
        # Deleting model 'AreaEventi'
        db.delete_table('eventi_areaeventi')

        # Deleting model 'Evento'
        db.delete_table('eventi_evento')

    models = {
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'eventi.areaeventi': {
            'Meta': {'ordering': "('ordinale_pagina', 'nome')", 'object_name': 'AreaEventi'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'numero_eventi_mostrati': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'ordinale_pagina': ('django.db.models.fields.PositiveIntegerField', [], {'unique': 'True'}),
            'placeholder_sottotitolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_sottotitolo_areaeventi'", 'null': 'True', 'to': "orm['cms.Placeholder']"}),
            'placeholder_titolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_titolo_areaeventi'", 'null': 'True', 'to': "orm['cms.Placeholder']"})
        },
        'eventi.evento': {
            'Meta': {'ordering': "('ordering',)", 'object_name': 'Evento'},
            'area_evento': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'eventi_area'", 'to': "orm['eventi.AreaEventi']"}),
            'data_fine': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'data_inizio': ('django.db.models.fields.DateField', [], {}),
            'descrizione': ('django.db.models.fields.TextField', [], {}),
            'descrizione_riassuntiva': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'immagine': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'link_esterno': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'link_esterno_desc': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'link_prenotazione': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'link_prenotazione_desc': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'orario_fine': ('django.db.models.fields.TimeField', [], {'null': 'True', 'blank': 'True'}),
            'orario_inizio': ('django.db.models.fields.TimeField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'thumb': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['eventi']
