from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from cms.admin.placeholderadmin import PlaceholderAdmin

from jumbo.admin.options import ExtendibleModelAdmin

from models import Glossario, Termine


class TermineAdmin(ExtendibleModelAdmin):
    list_display = ('nome',
                    'descrizione',
                    'glossario',
                    'get_edit_icon', 
                    'get_delete_icon',
                    )
    fieldsets = (
                 (_('logs admin'),
                  {'fields': ('creator', 'date_create','last_modifier',
                              'date_last_modify',),
                    'classes': ('collapse',)}),
                    (None, 
                     {'fields': ('nome', 'descrizione',)})
                )

admin.site.register(Glossario, PlaceholderAdmin)
admin.site.register(Termine, TermineAdmin)