# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'Glossario'
        db.create_table('glossario_glossario', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('nome', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('placeholder_titolo', self.gf('django.db.models.fields.related.ForeignKey')(related_name='placeholder_titolo', null=True, to=orm['cms.Placeholder'])),
            ('placeholder_sottotitolo', self.gf('django.db.models.fields.related.ForeignKey')(related_name='placeholder_sottotitolo', null=True, to=orm['cms.Placeholder'])),
            ('placeholder_ricerca', self.gf('django.db.models.fields.related.ForeignKey')(related_name='placeholder_ricerca', null=True, to=orm['cms.Placeholder'])),
        ))
        db.send_create_signal('glossario', ['Glossario'])

        # Adding model 'Termine'
        db.create_table('glossario_termine', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('nome', self.gf('django.db.models.fields.CharField')(unique=True, max_length=64)),
            ('descrizione', self.gf('django.db.models.fields.TextField')()),
            ('glossario', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['glossario.Glossario'])),
        ))
        db.send_create_signal('glossario', ['Termine'])

    def backwards(self, orm):
        
        # Deleting model 'Glossario'
        db.delete_table('glossario_glossario')

        # Deleting model 'Termine'
        db.delete_table('glossario_termine')

    models = {
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'glossario.glossario': {
            'Meta': {'ordering': "('nome',)", 'object_name': 'Glossario'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'placeholder_ricerca': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_ricerca'", 'null': 'True', 'to': "orm['cms.Placeholder']"}),
            'placeholder_sottotitolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_sottotitolo'", 'null': 'True', 'to': "orm['cms.Placeholder']"}),
            'placeholder_titolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_titolo'", 'null': 'True', 'to': "orm['cms.Placeholder']"})
        },
        'glossario.termine': {
            'Meta': {'ordering': "('nome',)", 'object_name': 'Termine'},
            'descrizione': ('django.db.models.fields.TextField', [], {}),
            'glossario': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['glossario.Glossario']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'})
        }
    }

    complete_apps = ['glossario']
