# -*- coding: utf-8 -*-
'''
Created on 21/giu/2011

@author: simone cittadini
'''
import string 

from django import forms
#from django.http import HttpResponseRedirect
#from django.template.context import RequestContext
#from django.shortcuts import render_to_response
from glossario.models import Glossario, Termine
from django.views.generic.list_detail import object_list


LETTERE = ('A','B','C','D','E','F','G','H','I','J','K','Y','L','M','N','O','P','Q','R','S','T','U','V','W','X','Z')


class TermineForm(forms.Form):
    nome = forms.CharField(label="")

def retrieve_termini(request, lettera='A'):
    glossario = Glossario.get_glossario()
    qs=Termine.objects.none()
    if request.method == 'POST':
        form = TermineForm(request.POST)
        if form.is_valid():
            qs = Termine.objects.filter(
                                nome__icontains=form.cleaned_data['nome'])
            # La lettera attiva è quella del primo termine corrispondente
            #  in mancanza di termini è la prima lettera della parola cercata.
            if qs.count() > 0: 
                lettera = qs[0].nome[0:1]
            else:
                lettera = string.capwords(form.cleaned_data['nome'][0:1])
    else:
        qs = Termine.objects.filter(nome__startswith=lettera)
        form = TermineForm()
    try:
        page = int(request.GET.get('page', '1'))
    except ValueError:
        page = 1

    return object_list(request,
                       queryset=qs,
                       paginate_by=8,
                       page=page,
                       extra_context={'lettera_attiva': lettera,
                                      'lettere': LETTERE,
                                      'glossario': glossario,
                                      'search_form': form
                                      })
