# -*- coding: utf-8 -*-
from django.contrib import admin
from django import forms
from django.utils.translation import ugettext_lazy as _
from django.utils.translation import ugettext as ugt
from django.conf import settings

from jumbo.core.urlresolvers import reverse
from jumbo.admin.options import ExtendibleModelAdmin

from idashboard.models import IDashboard, IDashboardItem

#######################################
# POST.....                           #
#######################################
class IDashboardAdmin(ExtendibleModelAdmin):
    list_display = ('uuid', 'name', 'layout', 'user', 'get_edit_icon')

class IDashboardItemAdmin(ExtendibleModelAdmin):
    list_display = ('uuid', 'active', 'dashboard', 'gadget', 'column_number', 'position', 'colour',
                    'title', 'get_edit_icon')

admin.site.register(IDashboard, IDashboardAdmin)
admin.site.register(IDashboardItem, IDashboardItemAdmin)