# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'DirectoryMetaData'
        db.create_table('jcmsfilebrowser_directorymetadata', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('rpath', self.gf('django.db.models.fields.CharField')(unique=True, max_length=200)),
            ('titolo', self.gf('django.db.models.fields.CharField')(max_length=128, null=True, blank=True)),
            ('sottotitolo', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('descrizione', self.gf('django.db.models.fields.CharField')(max_length=512, null=True, blank=True)),
        ))
        db.send_create_signal('jcmsfilebrowser', ['DirectoryMetaData'])

        # Adding model 'JcmsFile'
        db.create_table('jcmsfilebrowser_jcmsfile', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64, null=True, blank=True)),
            ('rpath', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal('jcmsfilebrowser', ['JcmsFile'])

        # Adding model 'JcmsDirectory'
        db.create_table('jcmsfilebrowser_jcmsdirectory', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64, null=True, blank=True)),
            ('rpath', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal('jcmsfilebrowser', ['JcmsDirectory'])

    def backwards(self, orm):
        
        # Deleting model 'DirectoryMetaData'
        db.delete_table('jcmsfilebrowser_directorymetadata')

        # Deleting model 'JcmsFile'
        db.delete_table('jcmsfilebrowser_jcmsfile')

        # Deleting model 'JcmsDirectory'
        db.delete_table('jcmsfilebrowser_jcmsdirectory')

    models = {
        'jcmsfilebrowser.directorymetadata': {
            'Meta': {'object_name': 'DirectoryMetaData'},
            'descrizione': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'rpath': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'sottotitolo': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'titolo': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'})
        },
        'jcmsfilebrowser.jcmsdirectory': {
            'Meta': {'object_name': 'JcmsDirectory'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'rpath': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'jcmsfilebrowser.jcmsfile': {
            'Meta': {'object_name': 'JcmsFile'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'rpath': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        }
    }

    complete_apps = ['jcmsfilebrowser']
