# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'AreaPress'
        db.create_table('jcmspress_areapress', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ordinale_pagina', self.gf('django.db.models.fields.PositiveIntegerField')(unique=True)),
            ('numero_press_mostrate', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('nome', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('placeholder_titolo', self.gf('django.db.models.fields.related.ForeignKey')(related_name='placeholder_titolo_areapress', null=True, to=orm['cms.Placeholder'])),
            ('placeholder_sottotitolo', self.gf('django.db.models.fields.related.ForeignKey')(related_name='placeholder_sottotitolo_areapress', null=True, to=orm['cms.Placeholder'])),
        ))
        db.send_create_signal('jcmspress', ['AreaPress'])

        # Adding model 'Source'
        db.create_table('jcmspress_source', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='jcmspress_source_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='jcmspress_source_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100, db_index=True)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=100)),
        ))
        db.send_create_signal('jcmspress', ['Source'])

        # Adding model 'Press'
        db.create_table('jcmspress_press', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('date_p', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=300, db_index=True)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=100)),
            ('source', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='presses', null=True, to=orm['jcmspress.Source'])),
            ('file', self.gf('django.db.models.fields.files.FileField')(max_length=100, null=True, blank=True)),
            ('abstract', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('keywords', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=200, null=True, blank=True)),
            ('area_press', self.gf('django.db.models.fields.related.ForeignKey')(related_name='press_area', to=orm['jcmspress.AreaPress'])),
        ))
        db.send_create_signal('jcmspress', ['Press'])

    def backwards(self, orm):
        
        # Deleting model 'AreaPress'
        db.delete_table('jcmspress_areapress')

        # Deleting model 'Source'
        db.delete_table('jcmspress_source')

        # Deleting model 'Press'
        db.delete_table('jcmspress_press')

    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'jcmspress.areapress': {
            'Meta': {'object_name': 'AreaPress'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'numero_press_mostrate': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'ordinale_pagina': ('django.db.models.fields.PositiveIntegerField', [], {'unique': 'True'}),
            'placeholder_sottotitolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_sottotitolo_areapress'", 'null': 'True', 'to': "orm['cms.Placeholder']"}),
            'placeholder_titolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_titolo_areapress'", 'null': 'True', 'to': "orm['cms.Placeholder']"})
        },
        'jcmspress.press': {
            'Meta': {'object_name': 'Press'},
            'abstract': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'area_press': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'press_area'", 'to': "orm['jcmspress.AreaPress']"}),
            'date_p': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'keywords': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100'}),
            'source': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'presses'", 'null': 'True', 'to': "orm['jcmspress.Source']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '300', 'db_index': 'True'})
        },
        'jcmspress.source': {
            'Meta': {'ordering': "['name']", 'object_name': 'Source'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'jcmspress_source_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'jcmspress_source_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        }
    }

    complete_apps = ['jcmspress']
