# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'AreaVideo'
        db.create_table('video_areavideo', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ordinale_pagina', self.gf('django.db.models.fields.PositiveIntegerField')(unique=True)),
            ('numero_video_mostrati', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('nome', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('placeholder_titolo', self.gf('django.db.models.fields.related.ForeignKey')(related_name='placeholder_titolo_areavideo', null=True, to=orm['cms.Placeholder'])),
            ('placeholder_sottotitolo', self.gf('django.db.models.fields.related.ForeignKey')(related_name='placeholder_sottotitolo_areavideo', null=True, to=orm['cms.Placeholder'])),
        ))
        db.send_create_signal('video', ['AreaVideo'])

        # Adding model 'Video'
        db.create_table('video_video', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('titolo', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('sottotitolo', self.gf('django.db.models.fields.CharField')(max_length=256)),
            ('descrizione', self.gf('django.db.models.fields.TextField')()),
            ('thumb', self.gf('django.db.models.fields.files.ImageField')(max_length=100)),
            ('file', self.gf('django.db.models.fields.files.FileField')(max_length=100)),
            ('area_video', self.gf('django.db.models.fields.related.ForeignKey')(related_name='video_area', to=orm['video.AreaVideo'])),
        ))
        db.send_create_signal('video', ['Video'])

    def backwards(self, orm):
        
        # Deleting model 'AreaVideo'
        db.delete_table('video_areavideo')

        # Deleting model 'Video'
        db.delete_table('video_video')

    models = {
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'video.areavideo': {
            'Meta': {'object_name': 'AreaVideo'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'numero_video_mostrati': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'ordinale_pagina': ('django.db.models.fields.PositiveIntegerField', [], {'unique': 'True'}),
            'placeholder_sottotitolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_sottotitolo_areavideo'", 'null': 'True', 'to': "orm['cms.Placeholder']"}),
            'placeholder_titolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_titolo_areavideo'", 'null': 'True', 'to': "orm['cms.Placeholder']"})
        },
        'video.video': {
            'Meta': {'ordering': "('ordering',)", 'object_name': 'Video'},
            'area_video': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'video_area'", 'to': "orm['video.AreaVideo']"}),
            'descrizione': ('django.db.models.fields.TextField', [], {}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'sottotitolo': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'thumb': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'titolo': ('django.db.models.fields.CharField', [], {'max_length': '128'})
        }
    }

    complete_apps = ['video']
